import { Axios } from 'axios'
import { VueConstructor } from 'vue/types/umd'
type PluginOptions = {
  ElementUI: any,
  Axios: Axios,
  getProjectInformation: Partial<{
    getProjectId(this: Vue): string;
    getRequestRoot(this: Vue): string;
    getProjectName(this: Vue): string;
    getUserEmail(this: Vue): string;
    checkHelp (this: Vue): void
  }>
}
export default function install (vue: VueConstructor, options: PluginOptions): void
